org.apache.cassandra.db.marshal

## Class IntegerType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.math.BigInteger>
  - - org.apache.cassandra.db.marshal.IntegerType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public final class IntegerType
    extends AbstractType<java.math.BigInteger>

### Field Summary

Fields
`static IntegerType` `instance`

### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, onDiskAtomComparator, reverseComparator`

### Method Summary

Methods
`CQL3Type` `asCQL3Type()`
`int` `compare(java.nio.ByteBuffer lhs, java.nio.ByteBuffer rhs)`
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`TypeSerializer<java.math.BigInteger>` `getSerializer()`

### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

`compareCollectionMembers, componentsCount, compose, decompose, fromStringCQL2, getColumnsString, getComponents, getReverseComparator, getString, getString, intersects, intersects, isCollection, isCommutative, isCompatibleWith, isValueCompatibleWith, parseDefaultParameters, toString, validate, validateCollectionMember`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### instance

    public static final IntegerType instance

### Method Detail

#### compare

    public int compare(java.nio.ByteBuffer lhs,
              java.nio.ByteBuffer rhs)

#### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)
                                   throws MarshalException

Description copied from class: `AbstractType`
get a byte representation of the given string.

Specified by:
  `fromString` in class `AbstractType<java.math.BigInteger>`
Throws:
  `MarshalException`

#### asCQL3Type

    public CQL3Type asCQL3Type()

Overrides:
  `asCQL3Type` in class `AbstractType<java.math.BigInteger>`

#### getSerializer

    public TypeSerializer<java.math.BigInteger> getSerializer()

Specified by:
  `getSerializer` in class `AbstractType<java.math.BigInteger>`